Subject: Re: working around "more" (Was Re: what is my mistake?!!!!!)
From: "Mohammed Abdel'al" <[email-masked]>
To: "Paul Garceau" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 13 Aug 2000 02:05:13 +0300

thnx Paul for ur advice it solved the error catching problem but the problem
still exist :)

I still can't compile
here is the full procedure
<------ start of the screen
administrator@PROXY ~
$ cd cygipc-1.05

administrator@PROXY ~/cygipc-1.05
$ make
Building version.dep from version.c
Building strace.dep from strace.c
Building shm.dep from shm.c
Building sem.dep from sem.c
Building reverse.dep from reverse.c
Building msg.dep from msg.c
Building itoa.dep from itoa.c
Building ipctest.dep from ipctest.c
Building ipcs.dep from ipcs.c
Building ipcrm.dep from ipcrm.c
Building ipc-daemon.dep from ipc-daemon.c
Building ftok.dep from ftok.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o version.o
version.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o sem.o sem.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o shm.o shm.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o msg.o msg.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o itoa.o itoa.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o reverse.o
reverse.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o strace.o strace.c
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o ftok.o ftok.c
ar rv lib/libcygipc.a version.o sem.o shm.o msg.o itoa.o reverse.o strace.o
ftok.o
a - version.o
a - sem.o
a - shm.o
a - msg.o
a - itoa.o
a - reverse.o
a - strace.o
a - ftok.o
ranlib lib/libcygipc.a
gcc -Wall -O2   -DVERSION_NUM=1.04 -I./include -I.  -c -o ipc-daemon.o
ipc-daemon.c
In file included from ipc-daemon.c:44:
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:24:
parse error before `strace'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:25:
syntax error before `{'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:29:
conflicting types for `write'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/unistd.h:76:
previous declaration of `write'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:30:
parse error before `:'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:34:
parse error before `:'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:37:
parse error before `}'
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/strace.h:64:
parse error before string constant

ipc-daemon.c: In function `main':
ipc-daemon.c:203: warning: passing arg 2 of `write' from incompatible
pointer type
ipc-daemon.c:219: warning: passing arg 2 of `write' from incompatible
pointer type
ipc-daemon.c:235: warning: passing arg 2 of `write' from incompatible
pointer type
make: *** [ipc-daemon.o] Error 1

administrator@PROXY ~/cygipc-1.05
$
<----end

the question is what is the mistake. and How can I fix it
:)
thnx for all helpers

----- Original Message -----
From: "Paul Garceau" <[email-masked]>
To: "Mohammed Abdel'al" <[email-masked]>
Sent: Sunday, August 13, 2000 2:29 AM
Subject: working around "more" (Was Re: what is my mistake?!!!!!)

>
>
> On 13 Aug 2000, at 1:03, the Illustrious Mohammed Abdel'al wrote:
>
> > Hi all
> >
> > I have got Cygwin 1.1.3 and installed it on my Win NT 4.0 server
> > Service pack 6a I did in porpus of compiling pgsql 7.2 anyway it
> > need compiling of cyg-ipc I got the package titles
> > cyg-ipc-1.0.5-tar.bz2
> >
> > andf I uncompress it in my home dir. the README file says the
> > make will do the jop. so i did the make and everything was going
> > smoth until we came to the ipc-daemon.exe stuff I got a long list
> > of errors I just catched the last line cuz cygwin does not have
> > the more function...
>
> A bit of trivia...if you increase the Screen Buffer size
> (.pif/NT4 desktop shortcut for cygwin) to
>
> width:   110
> height:  200
>
> and Window Size to:
>
> width: 110
> height: 43
>
> You don't need "more" command since you can simply use the
> scroll bar on the right of a bash shell window to scroll back as
> many as two-hundred lines.  Also, you are not limited to only
> 200 lines of buffer...
>
> You can find these by right-clicking on Cygwin shortcut (select
> properties), and then clicking on "Layout" tab.  There, on the
> right hand side of the box, are the fields you can change.
>
> Hope this helps.
>
> Peace,
>
> Paul G.
>
>
> Nothing real can be threatened.
>     Nothing unreal exists.
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]